package com.sundot.airport.ledger.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sundot.airport.common.utils.DateUtils;
import com.sundot.airport.ledger.domain.LedgerTrainingIssue;
import com.sundot.airport.ledger.mapper.LedgerTrainingIssueMapper;
import com.sundot.airport.ledger.service.ILedgerTrainingIssueService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class LedgerTrainingIssueServiceImpl extends ServiceImpl<LedgerTrainingIssueMapper, LedgerTrainingIssue>
        implements ILedgerTrainingIssueService {

    @Autowired
    private LedgerTrainingIssueMapper mapper;

    @Override
    public List<LedgerTrainingIssue> selectList(LedgerTrainingIssue query) {
        return mapper.selectList(query);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int batchInsert(List<LedgerTrainingIssue> list) {
        list.forEach(item -> item.setCreateTime(DateUtils.getNowDate()));
        saveBatch(list);
        return list.size();
    }
}
